Package org.apache.velocity.util.introspection

# Interface VelMethod

All Known Implementing Classes:
  `UberspectImpl.VelMethodImpl`

public interface VelMethod
Method used for regular method invocation $foo.bar()

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Method Summary

Modifier and Type
Method
Description
`Method`
`getMethod()`
returns the underlying Method
`String`
`getMethodName()`
returns the method name used
`Class<?>`
`getReturnType()`
returns the return type of the method invoked
`Object`
`invoke(Object o, Object[] params)`
invocation method - called when the method invocation should be performed and a value returned
`boolean`
`isCacheable()`
specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

## Method Details

### invoke

Object invoke(Object o, Object[] params) throws IllegalAccessException, InvocationTargetException
invocation method - called when the method invocation should be performed and a value returned

Parameters:
  `o` -
  `params` -
Returns:
  The resulting object.
Throws:
  `IllegalAccessException`
  `InvocationTargetException`

### isCacheable

boolean isCacheable()
specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

Returns:
  true if can be reused for this class, false if not

### getMethodName

String getMethodName()
returns the method name used

Returns:
  The method name used

### getMethod

Method getMethod()
returns the underlying Method

Returns:
  the method
Since:
  2.0

### getReturnType

Class<?> getReturnType()
returns the return type of the method invoked

Returns:
  The return type of the method invoked